# Tutorials

The best way to learn how to use julia and GeophysicalModelGenerator to visualize your data is to look at the tutorials.

1. [3D seismic tomography data on regular grid](./tutorial_load3DSeismicData.md). Demonstrates how to load 3D data that are defined on a regular longitude/latitude/depth grid.
2. [Moho topography data](./tutorial_MohoTopo.md). Shows how to plot Moho data as 3D points in paraview, and how to fit a surface through it.
3. [Topography](./tutorial_GMT_Topography.md). Shows how to quickly obtain the topography of any part of the world using GMT & transfer that to paraview.
4. [Coastlines](./tutorial_Coastlines.md). Shows how to generate land/sea surfaces.
5. [Import screenshots](./tutorial_Screenshot_To_Paraview.md). Gives examples how you can easily import screenshots from published papers and visualize them in 3D 
6. [3D seismic tomography data on irregular grid](./tutorial_loadirregular3DSeismicData.md). Shows how to interpolate 3D seismic data, given on an irregular lon/lat grid, to a regular grid and create Paraview input from it.
7. [Topography and geological maps](./tutorial_GMT_Topography_GeologicalMap.md). Shows how to import ETOPO1 topography, how to drape a geological map over it & transfer that to Paraview.
8. [ISC earthquake data](./tutorial_ISC_data.md). Shows how to import earthquake data from the ISC catalogue.
9. [Plot GPS data](./tutorial_GPS.md). Shows how to load and plot GPS data as vectors.
